﻿using System;
using System.Data;
using Mlc.Data;

namespace //NameSpace>
{		
	/// <summary>Class //ClassName>.
	/// Implements the <see cref="Mlc.Data.DataRowWrapper{//NameSpace>.//ClassName>}" /></summary>
	/// <remarks>
	///   <para>The code for this class was auto-generated by <see cref="Mlc.Data.DataRowWrapperCodeCreator" /></para>
	///   <para>DO NOT MODIFY MANUALLY</para>
	/// </remarks>
	/// <seealso cref="Mlc.Data.DataRowWrapper%7B//NameSpace>.//ClassName>%7D">Mlc.Data.DataRowWrapper{//NameSpace>.//ClassName>}</seealso>
	public class //ClassName> : DataRowWrapper<//ClassName>>
	{
		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="//ClassName>"/> class.
		/// </summary>
		public //ClassName>() : base() { }
		
		/// <summary>
		/// Initializes a new instance of the <see cref="//ClassName>"/> class.
		/// </summary>
		/// <param name="table">The table.</param>
		public //ClassName>(DataTable table) : base(table) { }

		/// <summary>
		/// Initializes a new instance of the <see cref="//ClassName>"/> class.
		/// </summary>
		/// <param name="newRow">The new row.</param>
		/// <param name="addToTable">if set to <c>true</c> add new row to table.</param>
		public //ClassName>(DataRow newRow, bool addToTable = false) : base(newRow, addToTable) { }
		#endregion

		#region Public
		#region Properties
//Properties>
		#endregion
		#endregion

		#region Embedded Types
		/// <summary>Class Fields.</summary>
		public class Fields
		{
//PropertiesConst>
		}
		#endregion
	}
}